Subject: Re: [PATCH 16/18] d80211: get rid of MICHAEL_MIC_HWACCEL define

From: Johannes Berg <[email-masked]>
Date: Wed, 23 Aug 2006 09:05:30 +0200

On Tue, 2006-08-22 at 21:00 +0200, Jiri Benc wrote:

> When you're touching this, could you #ifdef out wpa_test when
> CONFIG_HOSTAPD_WPA_TESTING is not defined? This could be a part of this
> patch.

I thought about it but deemed it too ugly. And wouldn't the compiler
optimize it away anyway? Thing is, it's used in tests, and having
#ifdefs within if (...) tests is hugely ugly.

johannes